Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 588741 - SELinux is preventing /usr/sbin/NetworkManager "unlink" access on nm-dhclient-eth0.conf.
Summary: SELinux is preventing /usr/sbin/NetworkManager "unlink" access on nm-dhc...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:f94c6a5e0dd...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-04 12:35 UTC by Ritesh Khadgaray
Modified: 2010-07-29 16:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-29 16:32:10 UTC


Attachments (Terms of Use)

Description Ritesh Khadgaray 2010-05-04 12:35:50 UTC
Summary:

SELinux is preventing /usr/sbin/NetworkManager "unlink" access on
nm-dhclient-eth0.conf.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by NetworkManager. It is not expected that this
access is required by NetworkManager and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:NetworkManager_t:s0
Target Context                unconfined_u:object_r:var_run_t:s0
Target Objects                nm-dhclient-eth0.conf [ file ]
Source                        NetworkManager
Source Path                   /usr/sbin/NetworkManager
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           NetworkManager-0.8.0-6.git20100408.fc14
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.15-4.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.34-0.28.rc3.git3.fc14.x86_64 #1 SMP Mon Apr 5
                              17:05:31 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Sat 24 Apr 2010 05:13:02 AM IST
Last Seen                     Sat 24 Apr 2010 05:13:02 AM IST
Local ID                      74261c52-150a-4bc3-bc11-e1e9454844d0
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1272066182.40:51): avc:  denied  { unlink } for  pid=4507 comm="NetworkManager" name="nm-dhclient-eth0.conf" dev=dm-1 ino=529719 scontext=unconfined_u:system_r:NetworkManager_t:s0 tcontext=unconfined_u:object_r:var_run_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1272066182.40:51): arch=c000003e syscall=82 success=yes exit=0 a0=23acec0 a1=23835a0 a2=0 a3=1 items=0 ppid=1 pid=4507 auid=501 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm="NetworkManager" exe="/usr/sbin/NetworkManager" subj=unconfined_u:system_r:NetworkManager_t:s0 key=(null)



Hash String generated from  catchall,NetworkManager,NetworkManager_t,var_run_t,file,unlink
audit2allow suggests:

#============= NetworkManager_t ==============
allow NetworkManager_t var_run_t:file unlink;

Comment 1 Daniel Walsh 2010-07-29 16:32:10 UTC
This got lost in the cracks.  restorecon -R -v /var/run should fix.


Note You need to log in before you can comment on or make changes to this bug.